[KDE/Mac] KDE/Mac pkgs base prerequisites

Big O illogical1 at gmail.com
Sun Aug 10 21:37:16 CEST 2008

On Sat, Aug 9, 2008 at 4:55 PM, Big O <illogical1 at gmail.com> wrote:
> On Sat, Aug 9, 2008 at 4:19 PM, Orville Bennett <illogical1 at gmail.com> wrote:
>> Status update: http://techbase.kde.org/Mac/kde-mac
>> I'll throw them into a .dmg and start uploading them to illogic-al.org soon.
>> I had problems downloading the .pkgs as they are after all, just
>> directories.
> Packagemaker is crashing on me and I've got other things to do today.
> I'll figure out how to do the metapackage thing later (or someone here
> can tell me).
> For now the 10.5 universal prereqs (including launchd'ed dbus) can be
> obtained at http://illogic-al.org/images/uploaded pkgs.zip
> These still aren't for the general user audience but feel free to test
> (port uninstall similar macports packages first)
> qt4 +dbus +ssl and +glib
apparently there is no +glib, but there is a qt4-mac package! complete
with qt-copy patches.
http://illogic-al.org/images/uploaded pkgs.zip and
Qt kinda beat me up last night/this morning so I'm going to bed now.
http://illogic-al.org/blog/do-you-know-where-your-package-is for the
gory details.

Closer and closer...
> soprano
need exiv2 possibly ...
> strigi
> phonon
> akonadi
> qimageblitz
> taglib (had problems w/ universal build)
> libmad
> flac
> kdelibs
> kdepimlibs
> kdebase-runtime
> kdebase-everything else still need to be done
> I'll hopefully get up to taglib tomorrow.
> Things i'm avoiding: xine-lib. I think phonon-qt7 is in a state where
> we can rely completely on it now. Objections?
> For the record xine-lib works now as far as audio but i haven't been
> able to get video up and running.
> Phonon-qt7 and the other hand plays audio and video but seems very
> crash happy at times. I haven't tried it out since qt 4.4.1 has been
> released however.
> --
> All your gmail are belong to us.

All your gmail are belong to us.

More information about the kde-mac mailing list